org.apache.fop.svg

## Class SVGUserAgent

- java.lang.Object
- - org.apache.batik.bridge.UserAgentAdapter
  - - org.apache.fop.svg.SimpleSVGUserAgent
    - - org.apache.fop.svg.SVGUserAgent

- All Implemented Interfaces:
    org.apache.batik.bridge.UserAgent

      public class SVGUserAgent
      extends SimpleSVGUserAgent

  The SVG user agent. This is an implementation of the Batik SVG user agent.

- - ### Field Summary

    - ### Fields inherited from class org.apache.batik.bridge.UserAgentAdapter

      `ctx, extensions, FEATURES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGUserAgent(FOUserAgent foUserAgent, org.apache.batik.bridge.FontFamilyResolver fontFamilyResolver)` Creates a new SVGUserAgent.
    `SVGUserAgent(FOUserAgent foUserAgent, org.apache.batik.bridge.FontFamilyResolver fontFamilyResolver, java.awt.geom.AffineTransform at)` Creates a new SVGUserAgent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayError(java.lang.Exception ex)` Displays an error resulting from the specified Exception.
    `void` | `displayError(java.lang.String message)` Displays an error message.
    `void` | `displayMessage(java.lang.String message)` Displays a message in the User Agent interface.
    `java.lang.Exception` | `getLastException()` Returns the last exception sent to the `displayError(Exception)` method.
    `void` | `showAlert(java.lang.String message)` Shows an alert dialog box.

    - ### Methods inherited from class org.apache.fop.svg.SimpleSVGUserAgent

      `getFontFamilyResolver, getLanguages, getMedia, getPixelUnitToMillimeter, getTransform, getUserStyleSheetURI, getViewportSize, getXMLParserClassName, isXMLParserValidating, setTransform`

    - ### Methods inherited from class org.apache.batik.bridge.UserAgentAdapter

      `addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, getAlternateStyleSheet, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getDefaultFontFamily, getEventDispatcher, getExternalResourceSecurity, getLighterFontWeight, getMediumFontSize, getPixelToMM, getScriptSecurity, getStandardBolderFontWeight, getStandardLighterFontWeight, handleElement, hasFeature, loadDocument, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, showConfirm, showPrompt, showPrompt, supportExtension`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGUserAgent

          public SVGUserAgent(FOUserAgent foUserAgent,
                      org.apache.batik.bridge.FontFamilyResolver fontFamilyResolver,
                      java.awt.geom.AffineTransform at)

      Creates a new SVGUserAgent.
      Parameters:
        `foUserAgent` - the FO user agent to associate with this SVG user agent
        `fontFamilyResolver` - the font family resolver
        `at` - the current transform

    - #### SVGUserAgent

          public SVGUserAgent(FOUserAgent foUserAgent,
                      org.apache.batik.bridge.FontFamilyResolver fontFamilyResolver)

      Creates a new SVGUserAgent.
      Parameters:
        `foUserAgent` - the FO user agent to associate with this SVG user agent

  - ### Method Detail

    - #### getLastException

          public java.lang.Exception getLastException()

      Returns the last exception sent to the `displayError(Exception)` method.
      Returns:
        the last exception or null if no exception occurred

    - #### displayError

          public void displayError(java.lang.String message)

      Displays an error message.
      Overrides:
        `displayError` in class `org.apache.batik.bridge.UserAgentAdapter`
      Parameters:
        `message` - the message to display

    - #### displayError

          public void displayError(java.lang.Exception ex)

      Displays an error resulting from the specified Exception.
      Specified by:
        `displayError` in interface `org.apache.batik.bridge.UserAgent`
      Overrides:
        `displayError` in class `org.apache.batik.bridge.UserAgentAdapter`
      Parameters:
        `ex` - the exception to display

    - #### displayMessage

          public void displayMessage(java.lang.String message)

      Displays a message in the User Agent interface. The given message is typically displayed in a status bar.
      Specified by:
        `displayMessage` in interface `org.apache.batik.bridge.UserAgent`
      Overrides:
        `displayMessage` in class `org.apache.batik.bridge.UserAgentAdapter`
      Parameters:
        `message` - the message to display

    - #### showAlert

          public void showAlert(java.lang.String message)

      Shows an alert dialog box.
      Specified by:
        `showAlert` in interface `org.apache.batik.bridge.UserAgent`
      Overrides:
        `showAlert` in class `org.apache.batik.bridge.UserAgentAdapter`
      Parameters:
        `message` - the message to display

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.